package model;

import org.junit.jupiter.api.Test;

import java.util.List;

import static org.assertj.core.api.Assertions.assertThat;

public class InitializerTest {
    @Test
    void testGetRowsCount(){
        Initializer initializer = new Initializer(20, 10, 1, 3,10,5,3,3,3);
        assertThat(initializer.getRowCount()).isEqualTo(10);
    }
    @Test
    void testGetColumnCount(){
        Initializer initializer = new Initializer(20, 10, 1, 3,10,5,3,3,3);
        assertThat(initializer.getColumnCount()).isEqualTo(20);
    }
    @Test
    void testGetInitialFireCount(){
        Initializer initializer = new Initializer(20,10,10,10,10,10,10,10,10);
        assertThat(initializer.getInitialFireCount() == 10);
    }
    @Test
    void testGetInitialFirefighterCount(){
        Initializer initializer = new Initializer(20,10,10,10,10,10,10,10,10);
        assertThat(initializer.getInitialFirefighterCount() == 10);
    }
    @Test
    void testGetStep(){
        Initializer initializer = new Initializer(20,10,10,10,10,10,10,10,10);
        assertThat(initializer.getStep() == 0);
    }
}
